Public Member Functions | Static Public Member Functions | Private Attributes

# GRFFileScanner Class Reference

Helper for scanning for files with GRF as extension. More...

Inheritance diagram for GRFFileScanner:

## Public Member Functions
bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)
| Add a file with the given filename.
## Static Public Member Functions
static uint | DoScan ()
| Do the scan for GRFs.
## Private Attributes
uint | next_update
| The next (realtime tick) we do update the screen.
uint | num_scanned
| The number of GRFs we have scanned.

## Detailed Description

Helper for scanning for files with GRF as extension.

Definition at line 601 of file newgrf_config.cpp.

## Member Function Documentation

bool GRFFileScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length,
|  | const char * | tar_filename |
| ) |  |  | `[virtual]`

Add a file with the given filename.

Parameters:

  | filename | the full path to the file to read
  | basepath_length | amount of characters to chop of before to get a filename relative to the search path.
  | tar_filename | the name of the tar file the file is read from.

Returns:
  true if the file is added.

Implements FileScanner.

Definition at line 624 of file newgrf_config.cpp.

References _modal_progress_paint_mutex, _modal_progress_work_mutex, _realtime_tick, ThreadMutex::BeginCritical(), ThreadMutex::EndCritical(), GRFConfig::filename, FillGRFDetails(), GetGRFStringFromGRFText(), GRFConfig::GetName(), GRFIdentifier::grfid, GRFConfig::ident, GRFIdentifier::md5sum, GRFConfig::name, GRFConfig::next, next_update, num_scanned, GRFTextWrapper::text, and UpdateNewGRFScanStatus().

static uint GRFFileScanner::DoScan | ( |  | ) | `[inline, static]`

Do the scan for GRFs.

Definition at line 613 of file newgrf_config.cpp.

References _settings_client, ClientSettings::gui, GUISettings::last_newgrf_count, NEWGRF_DIR, num_scanned, and FileScanner::Scan().

Referenced by DoScanNewGRFFiles().

The documentation for this class was generated from the following file:

- src/newgrf_config.cpp